Bug 1409636 - python-cpuinfo does not support aarch64, ppc64 and ppc64le, and s390/s390x
Summary: python-cpuinfo does not support aarch64, ppc64 and ppc64le, and s390/s390x
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cpuinfo
Version: 26
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 ZedoraTracker PPCTracker ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker 1409639
TreeView+ depends on / blocked
 
Reported: 2017-01-02 16:31 UTC by Charalampos Stratakis
Modified: 2017-04-27 20:52 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-27 20:52:16 UTC


Attachments (Terms of Use)

Description Charalampos Stratakis 2017-01-02 16:31:09 UTC
python-cpuinfo is built as a noarch package, however if a package that is arch specific, depend on it during build, it will fail in rawhide as the newest enabled architectures are not supported (e.g. https://kojipkgs.fedoraproject.org//work/tasks/9672/17149672/build.log ).

Relevant upstream code that makes the builds to fail: https://github.com/workhorsy/py-cpuinfo/blob/master/cpuinfo/cpuinfo.py#L1529

Comment 1 Dan Horák 2017-01-02 16:44:15 UTC
and s390/s390x are not supported as well ...

Comment 2 Fedora End Of Life 2017-02-28 10:51:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora Update System 2017-03-13 13:43:33 UTC
python-cpuinfo-0.2.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ed0c3bca5

Comment 4 Fedora Update System 2017-03-14 03:21:46 UTC
python-cpuinfo-0.2.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ed0c3bca5

Comment 5 Parag Nemade 2017-03-14 07:43:31 UTC
Looks like the recent update still does not support non x86 architectures.
I am thinking to add ExclusiveArch: in spec to fix this bug.

Comment 6 Ngo Than 2017-04-20 12:27:23 UTC
it's fixed in python-cpuinfo-3.2.0-2.fc26

Comment 7 Fedora Update System 2017-04-20 12:41:20 UTC
python-cpuinfo-3.2.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e6b2327739

Comment 8 Parag Nemade 2017-04-20 13:12:32 UTC
I invested good amount of time today testing the new upstream release for remaining architecture. I targetted first ppc series then arm then s390 and then aarch64. Done lots of koji scratch builds.

I am not that good in understanding secondary architectures. But I assume by removing that ExclusiveArch: line will also make any attempt of rebuild on aarch64 to be successful right?

Comment 9 Ngo Than 2017-04-20 13:34:40 UTC
Hi Parag, aarch64 and armv7 and s390x are now supported in python-cpuinfo-3.2.0-2.fc26. So it's intention to remove the ExclusiveArch

Comment 10 Parag Nemade 2017-04-20 13:55:08 UTC
Ngo, Thank you. I just wanted some confirmation that rebuild will not fail on aarch64 host :)

Comment 11 Fedora Update System 2017-04-23 20:22:41 UTC
python-cpuinfo-3.2.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e6b2327739

Comment 12 Fedora Update System 2017-04-27 20:52:16 UTC
python-cpuinfo-3.2.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.